#!/bin/bash

set -ex

for name in \
'bob.extension --minor' \
'bob.blitz' \
'bob.core' \
'bob.io.base --minor' \
'bob.math' \
'bob.measure --minor' \
'bob.io.image' \
'bob.db.base --minor' \
'bob.db.base' \
'bob.io.video' \
'bob.io.matlab' \
'bob.io.audio' \
'bob.sp' \
'bob.ap' \
'bob.ip.base' \
'bob.ip.color' \
'bob.ip.draw' \
'bob.ip.gabor' \
'bob.learn.activation' \
'bob.learn.libsvm' \
'bob.learn.linear' \
'bob.learn.mlp' \
'bob.learn.em' \
'bob.learn.boosting' \
'bob.db.iris --minor' \
'bob.db.wine' \
'bob.db.mnist --minor' \
'bob.db.atnt' \
'bob.ip.facedetect' \
'bob.ip.optflow.hornschunck' \
'bob.ip.optflow.liu' \
'bob.ip.flandmark' \
'gridtk' \
'bob.ip.skincolorfilter' \
'bob.ip.facelandmarks' \
'bob.ip.dlib' \
'bob.db.arface' \
'bob.db.asvspoof' \
'bob.db.asvspoof2017' \
'bob.db.atvskeystroke' \
'bob.db.avspoof' \
'bob.db.banca' \
'bob.db.biosecure' \
'bob.db.biosecurid.face' \
'bob.db.casme2' \
'bob.db.caspeal' \
'bob.db.cohface' \
'bob.db.frgc' \
'bob.db.gbu' \
'bob.db.hci_tagging' \
'bob.db.ijba' \
'bob.db.kboc16' \
'bob.db.lfw' \
'bob.db.livdet2013' \
'bob.db.mobio' \
'bob.db.msu_mfsd_mod' \
'bob.db.multipie' \
'bob.db.nist_sre12' \
'bob.db.putvein' \
'bob.db.replay' \
'bob.db.replaymobile' \
'bob.db.scface' \
'bob.db.utfvp' \
'bob.db.voicepa' \
'bob.db.xm2vts' \
'bob.db.youtube' \
'bob.db.pericrosseye' \
'bob.db.cuhk_cufs' \
'bob.bio.base' \
'bob.bio.gmm' \
'bob.bio.face --minor' \
'bob.bio.spear --minor' \
'bob.bio.video --minor' \
'bob.db.voxforge' \
'bob.pad.base' \
; do
    stringarray=(${name})
    pkg=${stringarray[0]}
    patch=${stringarray[1]}
    cd src/${pkg}
    git co master
    git pull --rebase origin master
    ../../bin/bob_new_version.py ${patch}
    while true; do
        read -p "Do you wish to continue?" yn
        case $yn in
            [Yy]* ) break;;
            [Nn]* ) exit;;
            * ) echo "Please answer yes or no.";;
        esac
    done
    cd ../..
done
